<template>
	<q-btn
		round
		size="1.3rem"
		color="primary"
		icon="arrow_upward"
		@click="scrollToTop"
		class="floating-btn shadow-8"
		v-show="scrollPositionY > 150"
	/>
</template>

<script>
	export default {
		data: () => ({
			scrollPositionY: 0,
		}),
		mounted() {
			window.addEventListener("scroll", this.onScroll);
		},
		beforeDestroy() {
			window.removeEventListener("scroll", this.onScroll);
		},
		methods: {
			onScroll(e) {
				this.scrollPositionY = window.top.scrollY;

				// this.windowTop = window.top.scrollY /* or: e.target.documentElement.scrollTop */
			},
			scrollToTop() {
				console.log(window.scrollY);
				window.scrollTo({
					top: 0,
					left: 0,
					behavior: "smooth",
				});
			},
		},
	};
</script>

<style scoped lang="scss">
	.floating-btn {
		position: fixed;
		bottom: 20px;
		right: 20px;
	}
</style>